
# common aliases
alias rm="rm -i"
alias mv="mv -i"
alias cp="cp -i"
alias vlock="clear; vlock"
alias lm="tail -n 60 -f /var/log/syslog"
alias df="df -h"
alias emacs="emacs -nw"
alias e="emacs -nw"
alias rsu="sudo zsh"
alias zconf="source ~/.zshrc"

[ "$SUDO_USER" -a $UID = 0 ] && alias emacs="emacs -u $SUDO_USER -nw"
[ "$SUDO_USER" -a $UID = 0 ] && alias e="emacs -u $SUDO_USER -nw"

[ -x "$(whence ccze)" ] && alias lm="tail -n 60 -f /var/log/syslog | ccze"
[ -x "$(whence pydf)" ] && alias df="pydf -h"
[ -x "$(whence most)" ] && export PAGER=most && alias more='most' && alias less='most'
[ -x "$(whence colorgcc)" ] && export CC="colorgcc"


