
# zsh options

export LISTPROMPT	# in order to scroll if completion list is too big

setopt auto_cd		# a command like % /usr/local is equivalent to cd /usr/local
setopt nohup            # don't send HUP signal when closing term session
setopt extended_glob	# in order to use #, ~ and ^ for filename generation
setopt always_to_end	# move to cursor to the end after completion
setopt notify		# report the status of backgrounds jobs immediately
setopt correct		# try to correct the spelling if possible
setopt rmstarwait	# wait 10 seconds before querying for a rm which contains a *
setopt noflowcontrol    # disable xon/xoff
setopt histnostore      # don't store history command in history
setopt nobanghist       # don't care of '!' in commands
setopt emacs            # zle in emacs mode
setopt pushdignoredups  # ignore dups in pushd stack
#setopt printexitvalue   # show the exit-value if > 0
